import { db, VisitType } from '@nice/common';
export async function updatePostViewCount(id: string, type: VisitType) {
  const post = await db.post.findFirst({
    where: { id },
    select: { id: true, meta: true },
  });
  const totalViews = await db.visit.aggregate({
    _sum: {
      views: true,
    },
    where: {
      postId: id,
      type: type,
    },
  });
  if (type === VisitType.READED) {
    await db.post.update({
      where: {
        id: id,
      },
      data: {
        meta: {
          ...((post?.meta as any) || {}),
          views: totalViews._sum.views || 0,
        }, // Use 0 if no visits exist
      },
    });
    console.log('readed');
  } else if (type === VisitType.LIKE) {
    await db.post.update({
      where: {
        id: id,
      },
      data: {
        meta: {
          ...((post?.meta as any) || {}),
          likes: totalViews._sum.views || 0, // Use 0 if no visits exist
        },
      },
    });
  } else if (type === VisitType.HATE) {
    await db.post.update({
      where: {
        id: id,
      },
      data: {
        meta: {
          ...((post?.meta as any) || {}),
          hates: totalViews._sum.views || 0, // Use 0 if no visits exist
        },
      },
    });
  }
}
